[arch-commits] Commit in gtkhtml/gnome-unstable (PKGBUILD fix-backspace.patch)

Jan de Groot jgc at archlinux.org
Fri Oct 9 21:34:09 UTC 2009


    Date: Friday, October 9, 2009 @ 17:34:08
  Author: jgc
Revision: 54382

Fix crash when pressing backspace

Added:
  gtkhtml/gnome-unstable/fix-backspace.patch
Modified:
  gtkhtml/gnome-unstable/PKGBUILD

---------------------+
 PKGBUILD            |   11 +++++++----
 fix-backspace.patch |   22 ++++++++++++++++++++++
 2 files changed, 29 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-09 21:09:45 UTC (rev 54381)
+++ PKGBUILD	2009-10-09 21:34:08 UTC (rev 54382)
@@ -3,19 +3,22 @@
 
 pkgname=gtkhtml
 pkgver=3.28.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A lightweight HTML renderer/editor widget"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('gconf>=2.27.0' 'gnome-icon-theme>=2.27.90' 'enchant>=1.4.2' 'iso-codes>=3.10.1')
+depends=('gconf>=2.28.0' 'gnome-icon-theme>=2.28.0' 'enchant>=1.4.2' 'iso-codes>=3.10.1')
 makedepends=('pkgconfig' 'intltool')
 url="http://www.gnome.org"
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/3.28/${pkgname}-${pkgver}.tar.bz2)
-sha256sums=('6290424e51770fc09701ebaf89b7089214bbb9c81223430800160beee6f42288')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/3.28/${pkgname}-${pkgver}.tar.bz2
+        fix-backspace.patch)
+sha256sums=('6290424e51770fc09701ebaf89b7089214bbb9c81223430800160beee6f42288'
+            '96cb6ff6a8c5f1dc6251444cff94434c84d6d10b1abd4b55552e94d0a339b5a5')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/fix-backspace.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
       --libexecdir=/usr/lib/gtkhtml \
       --localstatedir=/var --disable-static || return 1

Added: fix-backspace.patch
===================================================================
--- fix-backspace.patch	                        (rev 0)
+++ fix-backspace.patch	2009-10-09 21:34:08 UTC (rev 54382)
@@ -0,0 +1,22 @@
+From 835d5dee8aaf078960b16ebd9018da095b1bcfbd Mon Sep 17 00:00:00 2001
+From: Matthew Barnes <mbarnes at redhat.com>
+Date: Mon, 21 Sep 2009 14:37:33 +0000
+Subject: Fix an editing crash.
+
+Apparently G_VALUE_HOLDS() doesn't like NULL GValues.
+---
+diff --git a/components/editor/gtkhtml-editor.c b/components/editor/gtkhtml-editor.c
+index aca15f9..58ae08f 100644
+--- a/components/editor/gtkhtml-editor.c
++++ b/components/editor/gtkhtml-editor.c
+@@ -384,7 +384,7 @@ editor_method_event (GtkHTML *html,
+ 	guint signal_id;
+ 
+ 	/* GtkHTML event arguments are either NULL or a single string. */
+-	if (G_VALUE_HOLDS (args, G_TYPE_STRING))
++	if (args != NULL && G_VALUE_HOLDS (args, G_TYPE_STRING))
+ 		string = g_value_get_string (args);
+ 
+ 	switch (event) {
+--
+cgit v0.8.2




More information about the arch-commits mailing list